## ros-bloom 0.9.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bloom.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bloom.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bloom"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bloom"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ros-bloom 0.5.20

=== debian/changelog ===
ros-bloom (0.5.20-1) unstable; urgency=medium

  * New upstream version. (Closes: 804826)
  * Source package automatically created by stdeb 0.6.0+git plus manual
    retouches.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 23 Dec 2015 12:07:00 +0000

=== debian/control ===
Source: ros-bloom
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-python
Standards-Version: 3.9.6

Package: python-bloom
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-empy, python-argparse, python-rosdep (>= 0.10.25), python-rosdistro (>= 0.4.0), python-vcstools (>= 0.1.22), python-setuptools, python-catkin-pkg (>= 0.2.2)
Description: Bloom is a release automation tool from Robot OS
 This package is part of Robot OS (ROS). It (bloom) provides tools for
 releasing software on top of a git repository and uses tools and
 patterns from git-buildpackage. Additionally, bloom uses meta
 and build information from catkin (https://github.com/ros/catkin) to
 automate release branching and the generation of platform specific
 source packages, like debian's src-debs.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Tue, 09 Dec 2014 11:30:06 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf bloom.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bloom-$1\.tar\.gz/ \
  https://github.com/ros-infrastructure/bloom/releases .*/v?(\d\S*)\.tar\.gz

## ros-bloom 0.5.22

=== debian/changelog ===
ros-bloom (0.5.22-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address
  * New upstream version 0.5.22

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 11:02:45 +0200

ros-bloom (0.5.21-1) unstable; urgency=medium

  * Imported Upstream version 0.5.21

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 10:35:20 +0200

## ros-bloom 0.5.23

=== debian/changelog ===
ros-bloom (0.5.23-1) unstable; urgency=medium

  * New upstream version 0.5.23

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ros-bloom
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: python
 Priority: optional
 Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: python-bloom
 Architecture: all

## ros-bloom 0.5.26

=== debian/changelog ===
ros-bloom (0.5.26-4) unstable; urgency=medium

  * Fix python3 dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Aug 2017 08:34:03 +0200

ros-bloom (0.5.26-3) unstable; urgency=medium

  * Fix python3 package
  * Update overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jul 2017 09:03:10 +0200

ros-bloom (0.5.26-2) unstable; urgency=medium

  * Repackage using pybuild
  * Add new ros2-bloom package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Jul 2017 17:26:33 +0200

ros-bloom (0.5.26-1) unstable; urgency=medium

  * New upstream version 0.5.26
  * Update policy and debhelper versions
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:14:58 +0200

=== debian/control ===
Source: ros-bloom
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep, python3-empy, python3-pep8, python3-docutils
Standards-Version: 4.0.0
Homepage: https://wiki.ros.org/bloom
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-bloom.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bloom.git/
Testsuite: autopkgtest-pkg-python

Package: python-bloom
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Bloom is a release automation tool from Robot OS (Python 2)
 This package is part of Robot OS (ROS). It (bloom) provides tools for
 releasing software on top of a git repository and uses tools and
 patterns from git-buildpackage. Additionally, bloom uses meta
 and build information from catkin (https://github.com/ros/catkin) to
 automate release branching and the generation of platform specific
 source packages, like debian's src-debs.
 .
 This package installs the library for Python 2.

Package: python3-bloom
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Bloom is a release automation tool from Robot OS (Python 3)
 This package is part of Robot OS (ROS). It (bloom) provides tools for
 releasing software on top of a git repository and uses tools and
 patterns from git-buildpackage. Additionally, bloom uses meta
 and build information from catkin (https://github.com/ros/catkin) to
 automate release branching and the generation of platform specific
 source packages, like debian's src-debs.
 .
 This package installs the library for Python 3.

## ros-bloom 0.6.1

=== debian/changelog ===
ros-bloom (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Oct 2017 22:12:16 +0200

ros-bloom (0.5.26-6) unstable; urgency=medium

  * Add overrides for rosdep2 rename (Closes: #874562)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Sep 2017 11:33:23 +0200

ros-bloom (0.5.26-5) unstable; urgency=medium

  * Update rosdep2 dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Aug 2017 06:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep2, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
+Standards-Version: 4.1.1
 Homepage: https://wiki.ros.org/bloom
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bloom
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-bloom/usr/bin'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-bloom-$1.tar.gz%" \
    https://github.com/ros-infrastructure/bloom/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-bloom 0.6.6

=== debian/changelog ===
ros-bloom (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 20:41:05 +0200

ros-bloom (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Remove ancient-python-version-field
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Jun 2018 09:46:25 +0200

ros-bloom (0.6.4-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * New upstream version 0.6.4
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 20:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep2, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep2, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-bloom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bloom.git/
+Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-bloom
 Testsuite: autopkgtest-pkg-python
 
 Package: python-bloom

## ros-bloom 0.7.2

=== debian/changelog ===
ros-bloom (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 Jan 2019 08:13:57 +0100

ros-bloom (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Jan 2019 11:29:01 +0100

ros-bloom (0.6.9-1) unstable; urgency=medium

  * New upstream version 0.6.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Dec 2018 10:09:52 +0100

ros-bloom (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Nov 2018 09:38:37 +0100

ros-bloom (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Update copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Sep 2018 07:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-rosdistro, python-rosdep2, python-empy, python-pep8, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git

## ros-bloom 0.8.0

=== debian/changelog ===
ros-bloom (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * Add cli tools to python3-bloom.

 -- Ondřej Nový <onovy@debian.org>  Fri, 30 Aug 2019 07:49:06 +0200

ros-bloom (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Aug 2019 08:37:33 +0200

ros-bloom (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 20:08:34 +0200

=== debian/control ===
Source: ros-bloom
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/bloom
Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-bloom
Testsuite: autopkgtest-pkg-python

Package: python3-bloom
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Replaces: python-bloom (<< 0.8.0-3)
Breaks: python-bloom (<< 0.8.0-3)
Description: Bloom is a release automation tool from Robot OS (Python 3)
 This package is part of Robot OS (ROS). It (bloom) provides tools for
 releasing software on top of a git repository and uses tools and
 patterns from git-buildpackage. Additionally, bloom uses meta
 and build information from catkin (https://github.com/ros/catkin) to
 automate release branching and the generation of platform specific
 source packages, like debian's src-debs.
 .
 This package installs the library for Python 3.

## ros-bloom 0.9.0

=== debian/changelog ===
ros-bloom (0.9.0-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 0.9.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 06:54:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git

## ros-bloom 0.9.1

=== debian/changelog ===
ros-bloom (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Feb 2020 21:25:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bloom

%:
	dh $@ --with python3 --buildsystem=pybuild

## ros-bloom 0.9.8

=== debian/changelog ===
ros-bloom (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 25 Aug 2020 21:23:43 +0200

ros-bloom (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 11:21:34 +0200

## ros-bloom 0.10.0

=== Makefile ===
.PHONY: all clean_dist clean doc

VERSION=`./setup.py --version`

USERNAME ?= $(shell whoami)

UNAME := $(shell uname)

doc:
	python setup.py build_sphinx
ifeq ($(UNAME),Darwin)
	@open doc/build/html/index.html
else
	@echo "Not opening index.html on $(UNAME)"
endif

all:
	echo "noop for debbuild"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist
	-rm -rf deb_dist

clean: clean_dist
	echo "clean"

NEW_VERSION := $(shell python docs/bump_version.py setup.py --version_only)

pre-release:
	# Bump the version
	python docs/bump_version.py setup.py > setup.py_tmp
	mv setup.py_tmp setup.py
	# Set the permissions
	chmod 775 setup.py
	# Commit bump
	git commit -m "$(NEW_VERSION)" setup.py
	# Tag it
	git tag -f $(NEW_VERSION)

release: pre-release
	@echo "Now push the result with git push --all"

=== debian/changelog ===
ros-bloom (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 30 Sep 2020 20:01:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom

## ros-bloom 0.10.7

=== debian/changelog ===
ros-bloom (0.10.7-2) unstable; urgency=medium

  * Drop gitlab-ci
  * Drop old Breaks/Replaces
  * Use ros- prefix for bloom-generate debian
  * Add upstream patch for python3

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Feb 2022 23:34:21 +0100

ros-bloom (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.7
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Sep 2021 17:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,15 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-bloom
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-bloom
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Replaces: python-bloom (<< 0.8.0-3)
-Breaks: python-bloom (<< 0.8.0-3)
 Description: Bloom is a release automation tool from Robot OS (Python 3)
  This package is part of Robot OS (ROS). It (bloom) provides tools for
  releasing software on top of a git repository and uses tools and

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, git, python3-nose
Restrictions: allow-stderr

## ros-bloom 0.11.2

=== debian/changelog ===
ros-bloom (0.11.2-5) unstable; urgency=medium

  * Fix syntax in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Feb 2023 21:25:13 +0100

ros-bloom (0.11.2-4) unstable; urgency=medium

  * Add patches for setuptools 66 (Closes: #1030260)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Feb 2023 08:17:01 +0100

ros-bloom (0.11.2-3) unstable; urgency=medium

  * Switch autopkgtests to pytest (Closes: #1018619)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 Sep 2022 11:01:57 +0200

ros-bloom (0.11.2-2) unstable; urgency=medium

  * Disable unit tests (require internet)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jul 2022 12:47:15 +0200

ros-bloom (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Jul 2022 10:52:15 +0200

ros-bloom (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Drop patch (applied upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Apr 2022 17:29:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-vcstools, python3-rosdistro, python3-rosdep2, python3-empy, python3-pep8, python3-docutils, python3-packaging,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

# Test require internet
override_dh_auto_test:

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, git, python3-pytest, python3-pep8
Restrictions: allow-stderr

## ros-bloom 0.12.0

=== debian/changelog ===
ros-bloom (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * The ancient python3-pep8 package is being retired in favor of pycodestyle.
    Disable the linter test that still required it.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 21:54:01 +0100

ros-bloom (0.12.0-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to pybuild autopkgtest
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 17:32:56 +0200

ros-bloom (0.12.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Run autopkgtest for all supported Python3 versions

  [ Jochen Sprickerhof ]
  * New upstream version 0.12.0
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 15:59:45 +0200

ros-bloom (0.11.2-7) unstable; urgency=medium

  * Add patches for Python 3.12 (Closes: #1061840)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jan 2024 08:38:49 +0100

ros-bloom (0.11.2-6) unstable; urgency=medium

  * Drop ros-prefix patch, update pkg_resources patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Jun 2023 22:46:01 +0200

=== debian/control ===
Source: ros-bloom
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git <!nocheck>,
 python3-all,
 python3-docutils,
 python3-empy,
 python3-packaging,
 python3-pytest <!nocheck>,
 python3-rosdep2,
 python3-rosdistro,
 python3-setuptools,
 python3-vcstools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/bloom
Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-bloom
Testsuite: autopkgtest-pkg-pybuild

Package: python3-bloom
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Bloom is a release automation tool from Robot OS (Python 3)
 This package is part of Robot OS (ROS). It (bloom) provides tools for
 releasing software on top of a git repository and uses tools and
 patterns from git-buildpackage. Additionally, bloom uses meta
 and build information from catkin (https://github.com/ros/catkin) to
 automate release branching and the generation of platform specific
 source packages, like debian's src-debs.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

ifneq ($(PYBUILD_AUTOPKGTEST),1)
# Skip tests which require internet access
export PYBUILD_TEST_ARGS = --ignore=test/system_tests --ignore=test/test_code_format.py
else
export PYBUILD_TEST_ARGS = --ignore=test/test_code_format.py
endif

## ros-bloom 0.13.0

=== test/unit_tests/test_packages_data/bad_NAME/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bad_NAME)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES bad_NAME
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(bad_NAME
#   src/${PROJECT_NAME}/bad_NAME.cpp
# )

## Declare a cpp executable
# add_executable(bad_NAME_node src/bad_NAME_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(bad_NAME_node bad_NAME_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(bad_NAME_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS bad_NAME bad_NAME_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_bad_NAME.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-bloom (0.13.0-3) unstable; urgency=medium

  * Fix importlib.metadata usage

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 11:31:18 +0200

ros-bloom (0.13.0-2) unstable; urgency=medium

  * Stop using deprecated pkg_resources (Closes: #1083753)

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Aug 2025 09:38:58 +0200

ros-bloom (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Update patches.
    Merged: 0003-Switch-scripts-to-python3.patch
    Merged: 0004-Switch-rpm-to-packaging.version.patch
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Aug 2025 10:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-rosdistro,
  python3-setuptools,
  python3-vcstools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bloom
 Vcs-Git: https://salsa.debian.org/science-team/ros-bloom.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-bloom-$1.tar.gz%" \
    https://github.com/ros-infrastructure/bloom/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
